%define majver %(echo %version | cut -d. -f1-2)

Name:          qt5-qtserialbus
Version:       5.15.7
Release:       1mamba
Summary:       Qt5 serial bus components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtserialbus-everywhere-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5SerialPort-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
Provides:      libqt5-canbus
Obsoletes:     libqt5-canbus <= 5.15.2-1mamba

%description
Qt5 serial bus components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtserialbus-everywhere-src-%{version}

%build
%_qt5_qmake

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot} STRIP=/bin/true

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/qt5/bin/canbusutil
%{_libdir}/libQt5SerialBus.so.*
%dir %{_libdir}/qt5/plugins/canbus
%{_libdir}/qt5/plugins/canbus/libqt*.so
%doc LICENSE.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtSerialBus
%{_includedir}/qt5/QtSerialBus/*
%{_libdir}/libQt5SerialBus.prl
%{_libdir}/libQt5SerialBus.so
%{_libdir}/qt5/mkspecs/modules/qt_lib_serialbus.pri
%{_libdir}/qt5/mkspecs/modules/qt_lib_serialbus_private.pri
%dir %{_libdir}/cmake/Qt5SerialBus
%{_libdir}/cmake/Qt5SerialBus/Qt5SerialBus*.cmake
%{_libdir}/pkgconfig/Qt5SerialBus.pc

%changelog
* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
